- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Creates a new Outbound Endpoint.
HTTP request
POST https://dns.googleapis.com/dns/v1/{parent=projects/*/locations/*}/outboundEndpoints
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent project and location where this OutboundEndpoint will be created. Format: projects/{project}/locations/{location} |
Query parameters
| Parameters | |
|---|---|
clientOperationId |
For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection. |
outboundEndpointId |
Required. The ID to use for the OutboundEndpoint, which will become the final component of the OutboundEndpoint's resource name. |
requestId |
Optional. An optional request ID to identify requests. |
Request body
The request body contains an instance of OutboundEndpoint.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/ndev.clouddns.readwrite
For more information, see the Authentication Overview.